Index: tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 516)
+++ tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 517)
@@ -12,9 +12,9 @@
  org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
  org.txm.concordance.core;bundle-version="1.0.0",
  org.txm.concordance.rcp;bundle-version="1.0.0"
-Export-Package: org.txm.annoation.rcp.concordance,
- org.txm.annotation.rcp.commands,
+Export-Package: org.txm.annotation.rcp.commands,
  org.txm.annotation.rcp.commands.krview,
+ org.txm.annotation.rcp.concordance,
  org.txm.annotation.rcp.editors.imports.sections,
  org.txm.annotation.rcp.preferences,
  org.txm.annotation.rcp.views.knowledgerepositories,
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 516)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Line.java	(revision 517)
@@ -35,8 +35,6 @@
 import java.util.Map;
 
 import org.apache.commons.lang.StringUtils;
-import org.txm.annotation.core.Annotation;
-import org.txm.annotation.core.repository.TypedValue;
 import org.txm.searchengine.cqp.Reference;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -97,10 +95,6 @@
 	 */
 	private int targetpos;
 
-	private TypedValue annotationValue;
-
-	private Annotation annotation;
-
 	/**
 	 * Instantiates a new line.
 	 *
@@ -126,7 +120,7 @@
 			HashMap<Property, List<String>> lineLeftCtxAnaPropValue,
 			HashMap<Property, List<String>> lineKeywordsAnaPropValue,
 			HashMap<Property, List<String>> lineRightCtxAnaPropValue, Reference refView,
-			Reference refAna, Match matchs, Annotation annotation, TypedValue annotationValue, int targetpos) {
+			Reference refAna, Match matchs, int targetpos) {
 		this.textId = textId;
 		this.targetpos = targetpos;
 		this.keywordsIdValues = keywordsIdValues;
@@ -141,8 +135,6 @@
 		this.refAna = refAna;
 		this.match = matchs;
 		this.keywordpos = matchs.getStart();
-		this.annotationValue = annotationValue;
-		this.annotation = annotation;
 	}
 
 	/**
@@ -153,10 +145,6 @@
 	public HashMap<Property, List<String>> getKeywordsAnalysisProperty() {
 		return keywordsAnalysisProperty;
 	}
-
-	public TypedValue getAnnotationValue() {
-		return annotationValue;
-	}
 	
 	/**
 	 * Gets the left context analysis property.
@@ -315,6 +303,20 @@
 	 */
 	public String leftContextToString(String propertySeparator,
 			String wordSeparator, int limit) {
+		return leftContextToString(propertySeparator, wordSeparator, limit, null);
+	}
+	
+	/**
+	 * Returns a string representing the left context.
+	 *
+	 * @param propertySeparator The string used to separate the dif ferent view properties for
+	 * each word
+	 * @param wordSeparator The string used to separate the dif ferent words
+	 * @param limit the limit
+	 * @return The string representation
+	 */
+	public String leftContextToString(String propertySeparator,
+			String wordSeparator, int limit, LineDecorator decorator) {
 		int currentPos = keywordpos - getLeftContextSize();
 		
 		List<String> words = new ArrayList<String>();
@@ -329,12 +331,8 @@
 			
 			words.add(StringUtils.join(word, propertySeparator));
 			
-			if (annotation != null) {
-				if (currentPos == annotation.getStart()) {
-					words.set(i, "< "+words.get(i));
-				} else if (currentPos == annotation.getEnd()) {
-					words.set(i, words.get(i)+" >");
-				}
+			if (decorator != null) {
+				words.set(i, decorator.decorate(i, currentPos, words.get(i)));
 			}
 			
 			currentPos++; // next position
@@ -355,6 +353,18 @@
 	 * @return The string representation
 	 */
 	public String keywordToString(String propertySeparator, String wordSeparator) {
+		return keywordToString(propertySeparator, wordSeparator, null);
+	}
+	
+	/**
+	 * Returns a string representing the keywords.
+	 *
+	 * @param propertySeparator The string used to separate the dif ferent view properties for
+	 * each word
+	 * @param wordSeparator The string used to separate the dif ferent words
+	 * @return The string representation
+	 */
+	public String keywordToString(String propertySeparator, String wordSeparator, LineDecorator decorator) {
 		
 		int currentPos = keywordpos;
 		
@@ -373,13 +383,9 @@
 			} else {
 				words.add(StringUtils.join(word, propertySeparator));
 			}
-			if (annotation != null && (annotation.getStart() != keywordpos || annotation.getEnd() != keywordEndPos)) {
-				if (currentPos == annotation.getStart()) {
-					words.set(i, "< "+words.get(i));
-				}
-				if (currentPos == annotation.getEnd()) {
-					words.set(i, words.get(i)+" >");
-				}
+			
+			if (decorator != null) {
+				words.set(i, decorator.decorate(i, currentPos, words.get(i)));
 			}
 			
 			currentPos++; // next position
@@ -401,6 +407,20 @@
 	 */
 	public String rightContextToString(String propertySeparator,
 			String wordSeparator, int limit) {
+		return rightContextToString(propertySeparator, wordSeparator, limit, null);
+	}
+	
+	/**
+	 * Returns a string representing the right context.
+	 *
+	 * @param propertySeparator The string used to separate the dif ferent view properties for
+	 * each word
+	 * @param wordSeparator The string used to separate the dif ferent words
+	 * @param limit the limit
+	 * @return The string representation
+	 */
+	public String rightContextToString(String propertySeparator,
+			String wordSeparator, int limit, LineDecorator decorator) {
 		List<String> words = new ArrayList<String>();
 		Map<Property, List<String>> values = getRightCtxViewProperties();
 		int max = (limit == -1) ? (values.get(concordance.getRightViewProperties().get(0)).size()) : (limit);
@@ -414,12 +434,8 @@
 				word.add(values.get(property).get(i));
 			words.add(StringUtils.join(word, propertySeparator));
 			
-			if (annotation != null) {
-				if (currentPos == annotation.getStart()) {
-					words.set(i, "< "+words.get(i));
-				} else if (currentPos == annotation.getEnd()) {
-					words.set(i, words.get(i)+" >");
-				}
+			if (decorator != null) {
+				words.set(i, decorator.decorate(i, currentPos, words.get(i)));
 			}
 			currentPos++;
 		}
@@ -691,8 +707,4 @@
 	public int getKeywordPosition() {
 		return keywordpos;
 	}
-
-	public Annotation getAnnotation() {
-		return annotation;
-	}
 }
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/LineDecorator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/LineDecorator.java	(revision 0)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/LineDecorator.java	(revision 517)
@@ -0,0 +1,16 @@
+package org.txm.concordance.core.functions;
+
+public abstract class LineDecorator {
+	/**
+	 * 
+	 * decorate the String str.
+	 * 
+	 * 
+	 * @param i the relative position of 'str'
+	 * @param currentPos the position of 'str' in the corpus
+	 * @param str the String to decorate
+	 * 
+	 * @return the decorated String
+	 */
+	public abstract String decorate(int i, int currentPos, String str);
+}

Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 516)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 517)
@@ -43,11 +43,6 @@
 import java.util.Map;
 
 import org.eclipse.core.runtime.IProgressMonitor;
-import org.txm.annotation.core.Annotation;
-import org.txm.annotation.core.AnnotationManager;
-import org.txm.annotation.core.KRAnnotationEngine;
-import org.txm.annotation.core.repository.AnnotationType;
-import org.txm.annotation.core.repository.TypedValue;
 import org.txm.concordance.core.functions.comparators.LineComparator;
 import org.txm.concordance.core.messages.ConcordanceMessages;
 import org.txm.concordance.core.preferences.ConcordancePreferences;
@@ -91,8 +86,6 @@
 	/** The n lines. */
 	private int nLines;
 
-	private boolean overlapAnnotation;
-
 	String pCQLLimit;
 	/** The keyword analysis property. */
 	private List<Property> pKeywordAnalysisProperties;
@@ -123,8 +116,6 @@
 	/** The symbol. */
 	private String symbol;
 
-	private AnnotationType viewAnnotation;
-
 	/** The writer. */
 	private Writer writer;
 
@@ -284,30 +275,6 @@
 		return true;
 	}
 
-	private String findAnnotationForLine(Match match, List<Annotation> annots, boolean overlap) {
-		String annotationValue = "";
-		if (annots!=null) {
-			if (!annots.isEmpty()) {
-				for (Annotation annot : annots) {
-					if (overlap) {
-						if ((annot.getStart()<=match.getStart() && annot.getEnd()>=match.getEnd()) || (annot.getStart()>match.getStart() && annot.getEnd()<match.getEnd())
-								) {
-							annotationValue = annot.getValue(); 
-							// use the first Annotation found, the one stored in the temporary HSQL database
-							//should be modified to display a list of annotation values corresponding to the match positions (or wrapped if overlap is admitted)
-						}
-					} else {
-						if (annot.getStart()==match.getStart() && annot.getEnd()==match.getEnd()) {
-							annotationValue = annot.getValue(); 
-							// use the first Annotation found, the one stored in the temporary HSQL database
-						}
-					}
-				}
-			}
-		}
-		return annotationValue;
-	}
-
 	/**
 	 * Gets the analysis property.
 	 *
@@ -317,10 +284,6 @@
 		return pKeywordAnalysisProperties;
 	}
 
-	public boolean getAnnotationOverlap() {
-		return overlapAnnotation;
-	}
-
 	/**
 	 * Gets the corpus.
 	 *
@@ -437,8 +400,6 @@
 
 		Log.info(ConcordanceMessages.Concordance_6 + (to - from + 1) + ConcordanceMessages.Concordance_7);
 
-		AnnotationManager am = KRAnnotationEngine.getAnnotationManager(this.getCorpus());
-
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 
 		long start = System.currentTimeMillis();
@@ -565,18 +526,6 @@
 					//System.out.println("right: "+ctxPosition+" len: "+(ctxPosition - match.getEnd() + 1)+"\n");
 				}
 
-				//List<Annotation> allAnnotations = null;
-				List<Annotation> annotationsPerMatch = null;;
-				if (viewAnnotation != null && am != null) {
-					try {
-						annotationsPerMatch = am.getAnnotationsForMatches(viewAnnotation, subsetMatch, overlapAnnotation);
-						//System.out.println("annotationsPerMatch: "+annotationsPerMatch);
-					} catch (Exception e) {
-						System.out.println("Error while reading annotation "+viewAnnotation+" and with "+subsetMatch.size()+" matches");
-						Log.printStackTrace(e);
-					}
-				}
-
 				//System.out.println("RIGHT ctx lengths: "+lengthOfRightCtx);
 				// get all view property values of all lines
 				Map<Property, List<List<String>>> keywordsViewPropValues = new HashMap<Property, List<List<String>>>();
@@ -705,19 +654,7 @@
 					int targetpos = targetPositions.get(k);
 
 
-					Annotation annotation = null;
 					Match match = matches.get(i- from + k);
-					if (annotationsPerMatch != null) {
-						annotation = annotationsPerMatch.get(k);
-					}
-					TypedValue annotationValue = null;
-					if (annotation!=null) {
-						annotationValue = viewAnnotation.getTypedValue(annotation.getValue());
-						if (annotationValue == null) { // the annotation is not stored in the KR type -> the annotation is surely built with the CQPAnnotationManager
-							//System.out.println("WARNING: no annotation value found for value id="+annotation.getValue()+" - will be created.");
-							annotationValue = new TypedValue(annotation.getValue(), annotation.getValue(), annotation.getType());
-						}
-					}
 
 					Line line = new Line(this, wordids, TextId,
 							lineLeftCtxViewPropValue,
@@ -727,8 +664,6 @@
 							new Reference(ref, pRefViewPattern), 
 							new Reference(refAna, pRefAnalysePattern), 
 							match, 
-							annotation,
-							annotationValue,
 							targetpos);
 					lines.set(i + k, line);
 				}
@@ -834,10 +769,6 @@
 		return symbol;
 	}
 
-	public AnnotationType getViewAnnotation(AnnotationType type) {
-		return viewAnnotation;
-	}
-
 	/**
 	 * Gets the view properties.
 	 *
@@ -929,77 +860,6 @@
 		return index;
 	}
 
-	private List<Annotation> prepareAnnotationsList(List<Match> matches, List<Annotation> annotations, boolean overlap){
-		List<Annotation> annotsList = new ArrayList<Annotation>();
-
-		int iMatch = 0;
-		int iAnnotation = 0;
-		int nMatch = matches.size();
-		int nAnnotations = annotations.size();
-
-		while (iMatch < nMatch && iAnnotation < nAnnotations) {
-			if (overlap) {
-				if (matches.get(iMatch).getEnd() < annotations.get(iAnnotation).getStart()) {
-					iMatch++;
-					annotsList.add(null); // nothing for this match
-				} else if (annotations.get(iAnnotation).getEnd() < matches.get(iMatch).getStart()) {
-					iAnnotation++;
-				} else {
-					annotsList.add(annotations.get(iAnnotation));
-					iMatch++;
-				}
-			} else {
-				if (matches.get(iMatch).getEnd() < annotations.get(iAnnotation).getStart()) {
-					iMatch++;
-					annotsList.add(null); // nothing for this match
-				} else if (annotations.get(iAnnotation).getEnd() < matches.get(iMatch).getStart()) {
-					iAnnotation++;
-				} else if (annotations.get(iAnnotation).getStart() == matches.get(iMatch).getStart() && 
-						annotations.get(iAnnotation).getEnd() == matches.get(iMatch).getEnd()) {
-					annotsList.add(annotations.get(iAnnotation));
-					iMatch++;
-					iAnnotation++;
-				} else {
-					iAnnotation++;
-				}
-			}
-		}
-
-		while (annotsList.size() < matches.size() ) annotsList.add(null); // fill matches that were not process due to no more annotations
-
-		return annotsList;
-	}
-
-	private HashMap<Match, Annotation> prepareAnnotationsMap(List<Match> matches, List<Annotation> annots, boolean overlap){
-		HashMap<Match, Annotation> annotsList = new HashMap<Match, Annotation>();
-		for (Match m : matches) {
-			boolean hasAnnotations = false;
-			if (annots!=null) {
-				if (!annots.isEmpty()) {
-					for (Annotation annot : annots) {
-						if (overlap){
-							if ((annot.getStart() <= m.getStart() && m.getStart() <= annot.getEnd() && m.getEnd() >= annot.getEnd()) || 
-									(annot.getStart() <= m.getEnd() && m.getEnd() <= annot.getEnd() && m.getStart() <= annot.getStart()) 
-									|| !(annot.getEnd() < m.getStart() || annot.getStart() > m.getEnd())){
-								annotsList.put(m, annot);
-								hasAnnotations = true;
-							}
-						} else {
-							if (annot.getStart()==m.getStart() && annot.getEnd()==m.getEnd()) {
-								annotsList.put(m, annot); 
-								hasAnnotations = true;
-							}
-						}
-					}
-				}
-			}
-			if (!hasAnnotations) {
-				annotsList.put(m, null);
-			}
-		}
-		return annotsList;
-	}
-
 	public List<Line> reloadLines(int topLine, int bottomLine) throws CqiClientException, IOException, CqiServerError {
 		for (int i = topLine; i < bottomLine; i++) {
 			lines.set(i, null);
@@ -1118,10 +978,6 @@
 		this.lines = new ArrayList<Line>(Collections.nCopies(nLines, (Line) null)); // empty lines
 	}
 
-	public void setAnnotationOverlap(boolean overlap) {
-		overlapAnnotation = overlap;
-	}
-
 	/**
 	 * Set both left and right contexts size.
 	 * 
@@ -1384,12 +1240,6 @@
 		// is cached anyway...
 	}
 
-	public void setViewAnnotation(AnnotationType type) {
-		viewAnnotation = type;
-		this.lines = new ArrayList<Line>(Collections.nCopies(nLines,
-				(Line) null)); // empty lines
-	}
-
 	/**
 	 * Set the same view properties for left context, right context and keyword.
 	 * 
@@ -1670,4 +1520,12 @@
 		/** The CONTEXT. */
 		CONTEXT
 	}
+
+	/**
+	 * Brutal way to reset the concordance lines. they will be recomputed when getLines(...) is called
+	 */
+	public void resetLines() {
+		lines = new ArrayList<Line>(Collections.nCopies(nLines,
+				(Line) null)); // empty lines
+	}
 }
Index: tmp/org.txm.concordance.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 516)
+++ tmp/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 517)
@@ -4,8 +4,7 @@
 Bundle-SymbolicName: org.txm.concordance.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.annotation.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexport,
  org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
  org.eclipse.osgi;bundle-version="3.10.2",
  org.eclipse.core.runtime;bundle-version="3.10.0",
